Subject: Re: PMTU issues due to TOS field manipulation (for DSCP)

From: Nivedita Singhvi <[email-masked]>
Date: Wed, 10 Dec 2003 12:30:39 -0800

Andi Kleen wrote:

> I don't think the network users will be very happy if you require changing all
> end hosts this way. How about the following hack? For DF=1 packets
> the ipid field is useless. When you rewrite the TOS to DSCP save
> the old TOS in the ipid field.  When you see an ICMP fragment required
> message with the right DSCP on the router restore the old TOS from the ipid 
> field.

Wouldnt this require changes at the both ends, router and
host? How would we sync?

thanks,
Nivedita